### Class

# Phosh AppTracker

#### Description [src]

    final class Phosh.AppTracker : GObject.Object
    {
      /* No available fields */
    }

Application state tracker

Tracks the startup state of applications.

#### Ancestors

- GObject

#### Constructors

###### phosh_app_tracker_new

No description available.

#### Instance methods

###### phosh_app_tracker_launch_app_info

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Phosh.AppTracker::app-activated

An already running app was activated.

###### Phosh.AppTracker::app-failed

The app failed to launch.

###### Phosh.AppTracker::app-launch-started

The app is about to be launched by the shell or external process. This is guaranteed to be followed by at least one PhoshAppTracker:app-launched or PhoshAppTracker:app-failed signal.

###### Phosh.AppTracker::app-launched

The app got spawned or DBus activated. This is guaranteed to be followed by a PhoshAppTracker:app-ready or PhoshAppTracker:app-failed signal.

###### Phosh.AppTracker::app-ready

The app is ready to be used by the user.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshAppTrackerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.